]> juplo.de Git - maven-thymeleaf-skin/commitdiff
WIP
authorKai Moritz <kai@juplo.de>
Mon, 4 May 2026 20:27:14 +0000 (22:27 +0200)
committerKai Moritz <kai@juplo.de>
Mon, 4 May 2026 20:27:14 +0000 (22:27 +0200)
src/main/resources/import-in-hugo.sh

index b263652c47c68c5dd1d26de6c8a831b592b098b4..89124c2422118abc663a29d04ddbac8bffd7154f 100644 (file)
@@ -2,13 +2,16 @@
 set -euo pipefail
 
 USAGE=$(
-  echo "Usage: $0 <HUGO_ROOT> [--base <path>] [ [ --current [<url>]] | [--archived [<url>] [--canonical <url>]] ]";
+  echo "Usage: $0 <HUGO_ROOT> [--base <path>] [--project <name>][ [ --current [<url>]] | [--archived [<url>] [--canonical <url>]] ]";
   cat << EOF
 
 --base      : Specifies the base-path for the rendered site.
               If not specifed, the site is rendered as a root section.
               The artifact-id and the version are always added to the
               path.
+--project   : Specifies the name of the project for path and url
+              (Default: artifact-id of the maven-project).
+              artifact-id and the version (Default: "/").
 --current   : [DEFAULT]
               Sets "url: /<url>/<path_in_site>", "params.current=true"
               and "params.canonical = <url>/<path_in_site>" in
@@ -38,6 +41,7 @@ SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
 HUGO_ROOT="${1%%/}"
 shift
 
+PROJECT=""
 CURRENT=0
 ARCHIVED=0
 URL=""
@@ -65,6 +69,16 @@ while [[ $# -gt 0 ]]; do
       fi
       shift 2
       ;;
+    --project)
+      if [[ $# -lt 2 ]]
+      then
+        echo "ERROR -- Parameter for --project is missing!"
+        exit 1
+      fi
+      PROJECT="${2%%/}"
+      PROJECT="${PROJECT##/}"
+      shift 2
+      ;;
     --current)
       CURRENT=1
       if [[ $# -lt 2 ]]
@@ -92,7 +106,7 @@ while [[ $# -gt 0 ]]; do
     --canonical)
       if [[ $# -lt 2 ]]
       then
-        echo "ERROR -- Parameter for --project is missing!"
+        echo "ERROR -- Parameter for --canonical is missing!"
         exit 1
       fi
       CANONICAL="${2%%/}"
@@ -127,7 +141,10 @@ fi
 
 echo "$JSON" | jq -C .
 
-PROJECT=$(echo "$JSON" | jq -r '.artifactId')
+if [[ -z "$PROJECT" ]]
+then
+  PROJECT=$(echo "$JSON" | jq -r '.artifactId')
+fi
 VERSION=$(echo "$JSON" | jq -r '.version')
 
 if [[ -n "$URL" ]]